Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# MediaPlayerState Class Reference

This class is specific to the mediaplayer apps. More...

`#include <mediaplayerstate.h>`

List of all member functions.

## Public Members

- MediaPlayerState ( QObject * parent, const char * name )
- ~MediaPlayerState ()
- void loadPlugins ()
- void unloadPlugins ()
- bool fullscreen ()
- bool scaled ()
- bool looping ()
- bool shuffled ()
- bool paused ()
- bool playing ()
- bool seeking ()
- bool seekable ()
- long position ()
- long length ()
- bool hasLength ()
- View view ()
- QString skin ()
- void closeView ()
- MediaPlayerDecoder * decoder ( const QString & file = QString::null )
- MediaPlayerDecoder * streamingDecoder ( const QString & url, const QString & mimetype )
- DecoderVersion decoderVersion ()

## Public Slots

- void setFullscreen ( bool b )
- void setScaled ( bool b )
- void setLooping ( bool b )
- void setShuffled ( bool b )
- void setPaused ( bool b )
- void setPlaying ( bool b )
- void setSeeking ( bool b )
- void setSeekable ( bool b )
- void setPosition ( long p )
- void updatePosition ( long p )
- void setLength ( long l )
- void setView ( View v )
- void setSkin ( const QString & s )
- void setPrev ()
- void setNext ()
- void setList ()
- void setVideo ()
- void setAudio ()
- void setPlaying ()
- void setSeeking ()
- void setSeekable ()
- void setPrevTab ()
- void setNextTab ()
- void toggleFullscreen ()
- void toggleScaled ()
- void toggleLooping ()
- void toggleShuffled ()
- void togglePaused ()
- void togglePlaying ()
- void toggleSeeking ()
- void toggleSeekable ()
- void startTemporaryMute ()
- void stopTemporaryMute ()
- void stopTemporaryMute ( int delay )

## Signals

- void decreaseVolume ()
- void increaseVolume ()
- void endDecreaseVolume ()
- void endIncreaseVolume ()
- void scanBackward ()
- void scanForward ()
- void endScanBackward ()
- void endScanForward ()
- void fullscreenToggled ( bool )
- void scaledToggled ( bool )
- void loopingToggled ( bool )
- void shuffledToggled ( bool )
- void playlistToggled ( bool )
- void pausedToggled ( bool )
- void playingToggled ( bool )
- void seekingToggled ( bool )
- void seekableToggled ( bool )
- void positionChanged ( long )
- void positionUpdated ( long )
- void lengthChanged ( long )
- void viewChanged ( View )
- void viewClosed ()
- void skinChanged ( const QString & )
- void prev ()
- void next ()
- void prevTab ()
- void nextTab ()

## Detailed Description

This class is specific to the mediaplayer apps.

It is currently private to those apps, and its API, and therefore binary compatibilty may change in later versions.

This class stores and notifies about changes in various states and options associated with the mediaplayer apps.

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.